Airwallex logo
Airwallex logoAirwallex logo

Merchant Brands

Copy for LLMView as Markdown

Searches Merchant Brands, primarily for configuring the set of Merchant Brand unique identifiers permitted on a card.

Endpoints
GET /api/v1/issuing/merchant_brands/{id}
GET /api/v1/issuing/merchant_brands

Get single merchant brand by id

GET /api/v1/issuing/merchant_brands/{id}

Retrieve a single merchant brand by its unique identifier

Parameters
idrequiredstring

Unique Identifier for Merchant Brand

Response body - 200 OK
idstring

Unique identifier for the merchant brand.

logo_urlstring

URL of the merchant brand logo image.

namestring

Current name of the merchant brand. Please note, this is subject to change at any time, please do not rely on it for business logic.

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/issuing/merchant_brands/{id}
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/merchant_brands/merchant_brand_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "id": "6c2dc266-09ad-4235-b61a-767c7cd6d6ea",
3 "logo_url": "https://example.com/logo.png",
4 "name": "Awesome Company"
5}
Was this section helpful?

Get all merchant brands matching query

GET /api/v1/issuing/merchant_brands

Retrieve all Merchant Brands matching (by prefix) the name provided. If no name is provided, all Merchant Brands will be returned in alphabetical order.

Parameters
namestring

merchant brand name to filter results

pagestring

Page marker used to retrieve the previous or next page of results. Set this field to the value returned by page_before or page_after to retrieve the previous or next page, respectively.

page_sizeinteger

The number of items to return per page. Defaults to 100.

Response body - 200 OK
itemsarray
items.idstring

Unique identifier for the merchant brand.

items.logo_urlstring

URL of the merchant brand logo image.

items.namestring

Current name of the merchant brand. Please note, this is subject to change at any time, please do not rely on it for business logic.

page_afterstring

A marker for retrieving the next page of results. Include this value in the page request parameter to retrieve subsequent pages.

page_beforestring

A marker for retrieving the previous page of results. Include this value in the page request parameter to retrieve previous pages.

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/issuing/merchant_brands
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/merchant_brands' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "items": [
3 {
4 "id": "6c2dc266-09ad-4235-b61a-767c7cd6d6ea",
5 "logo_url": "https://example.com/logo.png",
6 "name": "Awesome Company"
7 }
8 ],
9 "page_after": "YWZ0ZXI9MmFjNmEzMjQtM2IwNC00M2JkLThmNTUtOWQ5YzdmZjEzZGZm",
10 "page_before": "YmVmb3JlPWVmZDQxZTk3LTU2MzctNDQ5MC04NjNkLTU2MDE5MjIwNDQ2YQ=="
11}
Was this section helpful?